org.eclipse.emf.cdo.expressions

## Interface EvaluationContext

- All Known Implementing Classes:
    EvaluationContextImpl

      public interface EvaluationContext

  A context for variable `lookups` during expression evaluations.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get(Object name)`
    `Class<?>` | `getClass(String name)`

- - ### Method Detail

    - #### getClass

          Class<?> getClass(String name)

    - #### get

          Object get(Object name)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html